Skip to main content
GET
https://{tenantDomain}/api/v2
/
attack-protection
/
bot-detection
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.AttackProtection.BotDetection.GetAsync();
    }

}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.attackProtection().botDetection().get();
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
    token: '<token>',
);
$client->attackProtection->botDetection->get();
from auth0.management import ManagementClient

client = ManagementClient(
    token="<token>",
)

client.attack_protection.bot_detection.get()
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.attack_protection.bot_detection.get
curl --request GET \
  --url https://{tenantDomain}/api/v2/attack-protection/bot-detection \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/attack-protection/bot-detection', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenantDomain}/api/v2/attack-protection/bot-detection"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{
  "allowlist": [
    "127.0.0.1"
  ],
  "monitoring_mode_enabled": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Bot detection configuration retrieved successfully.

bot_detection_level
enum<string>
required

The level of bot detection sensitivity

Available options:
low,
medium,
high
challenge_password_policy
enum<string>
required

The policy that defines how often to show CAPTCHA

Available options:
never,
when_risky,
always
challenge_passwordless_policy
enum<string>
required

The policy that defines how often to show CAPTCHA

Available options:
never,
when_risky,
always
challenge_password_reset_policy
enum<string>
required

The policy that defines how often to show CAPTCHA

Available options:
never,
when_risky,
always
allowlist
(string<ipv4> | string<ipv6> | string<cidr> | string<ipv6_cidr>)[]
required

List of IP addresses or CIDR blocks to allowlist

IPv4 address

monitoring_mode_enabled
boolean
required

Whether monitoring mode is enabled (logs but does not block)